Bug 319330 - Pasting an image from the Clipboard (e.g. from Firefox) positions it randomly on the canvas
Summary: Pasting an image from the Clipboard (e.g. from Firefox) positions it randomly...
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Unclassified
Component: Usability (show other bugs)
Version: git master (please specify the git hash!)
Platform: Other Linux
: NOR normal
Target Milestone: ---
Assignee: Krita Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-05-04 18:37 UTC by Dmitry Kazakov
Modified: 2013-05-17 07:15 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitry Kazakov 2013-05-04 18:37:45 UTC
It looks like something is really wrong with calculation of the new position.
Comment 1 Dmitry Kazakov 2013-05-05 09:53:04 UTC
Git commit e533c858f5793a2bae1d48a46bddc647f4f8cdc9 by Dmitry Kazakov.
Committed on 05/05/2013 at 11:52.
Pushed by dkazakov into branch 'master'.

Fixed positioning of the image pasted to Krita using Clipboard

Now it works the following way:

1) When copy-pasting from Krita it tries to paste the clip to the original
   position in the image.
2) When copy-pasting from other applications it pastes the clip to
   the center of the image
CCMAIL:kimageshop@kde.org

M  +2    -26   krita/ui/actions/kis_selection_action_factories.cpp
M  +42   -35   krita/ui/kis_clipboard.cc
M  +2    -1    krita/ui/kis_clipboard.h
M  +2    -1    krita/ui/kis_view2.cpp
M  +2    -2    krita/ui/tests/kis_clipboard_test.cpp
M  +1    -1    krita/ui/widgets/kis_custom_image_widget.cc

http://commits.kde.org/calligra/e533c858f5793a2bae1d48a46bddc647f4f8cdc9
Comment 2 Dmitry Kazakov 2013-05-08 18:08:38 UTC
Git commit 652e202cdf42950bb7dadd7945cb026ffc2f075f by Dmitry Kazakov.
Committed on 05/05/2013 at 11:52.
Pushed by dkazakov into branch 'calligra/2.7'.

Fixed positioning of the image pasted to Krita using Clipboard

Now it works the following way:

1) When copy-pasting from Krita it tries to paste the clip to the original
   position in the image.
2) When copy-pasting from other applications it pastes the clip to
   the center of the image
CCMAIL:kimageshop@kde.org

M  +2    -26   krita/ui/actions/kis_selection_action_factories.cpp
M  +42   -35   krita/ui/kis_clipboard.cc
M  +2    -1    krita/ui/kis_clipboard.h
M  +2    -1    krita/ui/kis_view2.cpp
M  +2    -2    krita/ui/tests/kis_clipboard_test.cpp
M  +1    -1    krita/ui/widgets/kis_custom_image_widget.cc

http://commits.kde.org/calligra/652e202cdf42950bb7dadd7945cb026ffc2f075f
Comment 3 Siddharth 2013-05-17 07:15:30 UTC
Git commit 3a0987de6f3d830b9f006b3e97cfa8f5dd7364a4 by Siddharth Sharma, on behalf of Dmitry Kazakov.
Committed on 05/05/2013 at 11:52.
Pushed by siddharthsharma into branch 'krita-psd-plugin-siddharth'.

Fixed positioning of the image pasted to Krita using Clipboard

Now it works the following way:

1) When copy-pasting from Krita it tries to paste the clip to the original
   position in the image.
2) When copy-pasting from other applications it pastes the clip to
   the center of the image
CCMAIL:kimageshop@kde.org

M  +2    -26   krita/ui/actions/kis_selection_action_factories.cpp
M  +42   -35   krita/ui/kis_clipboard.cc
M  +2    -1    krita/ui/kis_clipboard.h
M  +2    -1    krita/ui/kis_view2.cpp
M  +2    -2    krita/ui/tests/kis_clipboard_test.cpp
M  +1    -1    krita/ui/widgets/kis_custom_image_widget.cc

http://commits.kde.org/calligra/3a0987de6f3d830b9f006b3e97cfa8f5dd7364a4